import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  data: SortOrderSchema.optional()
}).strict();
export const ProcedureTimeslotCountOrderByAggregateInputObjectSchema: z.ZodType<Prisma.ProcedureTimeslotCountOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ProcedureTimeslotCountOrderByAggregateInput>;
export const ProcedureTimeslotCountOrderByAggregateInputObjectZodSchema = makeSchema();
